summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-09-20 16:13:30 +0200
committerRemi Collet <remi@php.net>2022-09-20 16:13:30 +0200
commit96269eb1c8065d7c414aefe15f5d24afe3079881 (patch)
treecb64e0571fa4dcecdf3091ea78b616b38b08e820
parenta7d8e98d59926a55de2b72834cdd76263e3f076e (diff)
update to 2.15.0HEADmaster
-rw-r--r--composer.json22
-rw-r--r--php-laminas-navigation.spec43
2 files changed, 34 insertions, 31 deletions
diff --git a/composer.json b/composer.json
index ec40307..10b07fe 100644
--- a/composer.json
+++ b/composer.json
@@ -35,26 +35,26 @@
"laminas/laminas-stdlib": "^2.7 || ^3.0"
},
"require-dev": {
- "laminas/laminas-coding-standard": "^2.3.0",
+ "laminas/laminas-coding-standard": "~2.4.0",
"laminas/laminas-config": "^3.7.0",
- "laminas/laminas-http": "^2.15.1",
- "laminas/laminas-i18n": "^2.13.0",
- "laminas/laminas-mvc": "^3.3.0",
- "laminas/laminas-permissions-acl": "^2.9.0",
- "laminas/laminas-router": "^3.5.0",
- "laminas/laminas-servicemanager": "^3.10.0",
+ "laminas/laminas-http": "^2.16.0",
+ "laminas/laminas-i18n": "^2.17.0",
+ "laminas/laminas-mvc": "^3.3.4",
+ "laminas/laminas-permissions-acl": "^2.10.0",
+ "laminas/laminas-router": "^3.9.0",
+ "laminas/laminas-servicemanager": "^3.16.0",
"laminas/laminas-uri": "^2.9.1",
- "laminas/laminas-view": "^2.14.2",
+ "laminas/laminas-view": "^2.22.1",
"phpspec/prophecy-phpunit": "^2.0.1",
- "phpunit/phpunit": "^9.5.10",
+ "phpunit/phpunit": "^9.5.24",
"psalm/plugin-phpunit": "^0.17.0",
- "vimeo/psalm": "^4.24"
+ "vimeo/psalm": "^4.27"
},
"suggest": {
"laminas/laminas-config": "^3.7, to provide page configuration (optional, as arrays and Traversables are also allowed)",
"laminas/laminas-permissions-acl": "^2.9, to provide ACL-based access restrictions to pages",
"laminas/laminas-router": "^3.5, to use router-based URI generation with Mvc pages",
- "laminas/laminas-servicemanager": "^3.10, to use the navigation factories",
+ "laminas/laminas-servicemanager": "^3.16, to use the navigation factories",
"laminas/laminas-view": "^2.14, to use the navigation view helpers"
},
"autoload": {
diff --git a/php-laminas-navigation.spec b/php-laminas-navigation.spec
index 449f030..fdb825d 100644
--- a/php-laminas-navigation.spec
+++ b/php-laminas-navigation.spec
@@ -8,7 +8,7 @@
#
# when build without permission-acl
%global bootstrap 0
-%global gh_commit dfdb42d4eb4a9290950fbb674bb20718b4b9a4b4
+%global gh_commit 4818d772a3d51231c07e1ae3067e48ceef746b85
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-navigation
@@ -19,7 +19,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: php-%{gh_project}
-Version: 2.14.0
+Version: 2.15.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -37,33 +37,33 @@ BuildRequires: php-spl
# From composer, "require-dev": {
# "laminas/laminas-coding-standard": "~2.3.0",
# "laminas/laminas-config": "^3.7",
-# "laminas/laminas-http": "^2.15.1",
-# "laminas/laminas-i18n": "^2.13.0",
-# "laminas/laminas-mvc": "^3.3.0",
-# "laminas/laminas-permissions-acl": "^2.9.0",
-# "laminas/laminas-router": "^3.5",
-# "laminas/laminas-servicemanager": "^3.10.0",
+# "laminas/laminas-http": "^2.16.0",
+# "laminas/laminas-i18n": "^2.17.0",
+# "laminas/laminas-mvc": "^3.3.4",
+# "laminas/laminas-permissions-acl": "^2.10.0",
+# "laminas/laminas-router": "^3.9.0",
+# "laminas/laminas-servicemanager": "^3.16.0",
# "laminas/laminas-uri": "^2.9.1",
-# "laminas/laminas-view": "^2.14.2",
+# "laminas/laminas-view": "^2.22.1",
# "phpspec/prophecy-phpunit": "^2.0.1",
-# "phpunit/phpunit": "^9.5.10",
+# "phpunit/phpunit": "^9.5.24",
# "psalm/plugin-phpunit": "^0.17.0",
-# "vimeo/psalm": "^4.24"
+# "vimeo/psalm": "^4.27"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-config) >= 3.7 with php-autoloader(%{gh_owner}/laminas-config) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15.1 with php-autoloader(%{gh_owner}/laminas-http) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.13 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.3 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15 with php-autoloader(%{gh_owner}/laminas-http) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.17 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.3.4 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
%if ! %{bootstrap}
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-permissions-acl) >= 2.9 with php-autoloader(%{gh_owner}/laminas-permissions-acl) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-permissions-acl) >= 2.10 with php-autoloader(%{gh_owner}/laminas-permissions-acl) < 3)
%endif
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.5 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.10 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.9 with php-autoloader(%{gh_owner}/laminas-router) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.16 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.9.1 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.14.2 with php-autoloader(%{gh_owner}/laminas-view) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.22.1 with php-autoloader(%{gh_owner}/laminas-view) < 3)
BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0.1 with php-composer(phpspec/prophecy-phpunit) < 3)
# remirepo:16
%else
@@ -83,7 +83,7 @@ BuildRequires: php-laminas-view
BuildRequires: php-phpspec-prophecy-phpunit
%endif
%global phpunit %{_bindir}/phpunit9
-BuildRequires: phpunit9 >= 9.5.10
+BuildRequires: phpunit9 >= 9.5.24
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
@@ -100,7 +100,7 @@ Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0
# "laminas/laminas-config": "^3.7, to provide page configuration (optional, as arrays and Traversables are also allowed)",
# "laminas/laminas-permissions-acl": "^2.9, to provide ACL-based access restrictions to pages",
# "laminas/laminas-router": "^3.5, to use router-based URI generation with Mvc pages",
-# "laminas/laminas-servicemanager": "^3.10, to use the navigation factories",
+# "laminas/laminas-servicemanager": "^3.16, to use the navigation factories",
# "laminas/laminas-view": "^2.14, to use the navigation view helpers"
Suggests: php-autoloader(%{gh_owner}/laminas-config)
Suggests: php-autoloader(%{gh_owner}/laminas-permissions-acl)
@@ -233,6 +233,9 @@ exit $ret
%changelog
+* Tue Sep 20 2022 Remi Collet <remi@remirepo.net> - 2.15.0-1
+- update to 2.15.0
+
* Fri Jul 22 2022 Remi Collet <remi@remirepo.net> - 2.14.0-1
- update to 2.14.0 (no change)